Debian Bug report logs - #663006
ITP: libnfc -- Near Field Communication (NFC) library

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>

Date: Wed, 7 Mar 2012 23:33:01 UTC

Owned by: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>

Severity: wishlist

Done: Mònica Ramírez Arceda <monica@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#663006; Package wnpp. (Wed, 07 Mar 2012 23:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 07 Mar 2012 23:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libnfc -- Near Field Communication (NFC) library
Date: Thu, 08 Mar 2012 00:00:23 +0100
Package: wnpp
Severity: wishlist
Owner: Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>

* Package name    : libnfc
  Version         : 1.6.0~rc1
  Upstream Author : multiple people
* URL             : http://www.libnfc.org/
* License         : LGPL-3
  Programming Lang: C
  Description     : Near Field Communication (NFC) library

 libnfc is a library for Near Field Communication. It abstracts the low-level 
 details of communicating with the devices away behind an easy-to-use high-level 
 API.

 Supported NFC hardware devices are, theorically, all hardware based on the NXP 
 PN531, PN532 or PN533 NFC controller chip. 


I also intend to package the libraries and applications from the nfc-tools 
project (http://code.google.com/p/nfc-tools/), based upon libnfc. In the ideal 
case a NFC packaging team that handles all NFC-related packages could be formed.
I am not a Debian Developer though, so it would be nice if an interested DD
could join.




Message sent on to Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>:
Bug#663006. (Thu, 08 Mar 2012 10:39:13 GMT) Full text and rfc822 format available.

Message #8 received at 663006-submitter@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@gmail.com>
To: 663006-submitter@bugs.debian.org
Subject: Re: ITP: nfc
Date: Thu, 8 Mar 2012 11:37:13 +0100
I am glad to hear that libnfc will be included in Debian.

For some months now I have been maintaining packages for libnfc,
libfreefare and mfoc in this PPA:

    https://launchpad.net/~jdthood/+archive/nfc

Upstream sources already had debian directories so I have been sending
almost all my changes upstream.  You can build a decent deb right from
the upstream tarball.

The current code in svn trunk is 1.6.0-rc1.  The upstream maintainer
tells me that we can expect 1.6.0 RSN.
-- 
Thomas Hood




Information stored :
Bug#663006; Package wnpp. (Thu, 08 Mar 2012 18:21:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>:
Extra info received and filed, but not forwarded. (Thu, 08 Mar 2012 18:21:16 GMT) Full text and rfc822 format available.

Message #13 received at 663006-quiet@bugs.debian.org (full text, mbox):

From: Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>
To: Thomas Hood <jdthood@gmail.com>, 663006-quiet@bugs.debian.org
Subject: Re: Bug#663006: ITP: nfc
Date: Thu, 08 Mar 2012 18:57:04 +0100
Hi,

On 08-03-12 11:37, Thomas Hood wrote:
> I am glad to hear that libnfc will be included in Debian.
>
> For some months now I have been maintaining packages for libnfc,
> libfreefare and mfoc in this PPA:
>
>      https://launchpad.net/~jdthood/+archive/nfc
>
> Upstream sources already had debian directories so I have been sending
> almost all my changes upstream.  You can build a decent deb right from
> the upstream tarball.
>
> The current code in svn trunk is 1.6.0-rc1.  The upstream maintainer
> tells me that we can expect 1.6.0 RSN.

Thanks for your interest!

While your libnfc package needed quite some big changes to make it 
conform to the latest Debian Policy (including SONAME bump, multi-arch 
compatibility, symbol files, extensive copyright documentation), the 
packages for nfc-tools are very useful. I'm currently porting them to my 
new libnfc 1.6 package and intent to send out ITPs for them soon.

While having debian/ directories in the upstream packages is certainly 
useful for people building from source, I believe it is needed to keep 
them managed separately from upstream too: think about for example about 
potential uploads to experimental/stable. I'd be more then happy to sync 
them with the upstream repository though.

If a packaging team for NFC-related packages could be formed, you are of 
course welcome to join too.

Cheers,
Oxan van Leeuwen




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>:
Bug#663006; Package wnpp. (Mon, 12 Mar 2012 18:18:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Henriksson <andreas@fatal.se>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>. (Mon, 12 Mar 2012 18:18:11 GMT) Full text and rfc822 format available.

Message #18 received at 663006@bugs.debian.org (full text, mbox):

From: Andreas Henriksson <andreas@fatal.se>
To: 663006@bugs.debian.org
Subject: Why libnfs over The Linux NFC Subsystem ?
Date: Mon, 12 Mar 2012 19:20:37 +0100
Could you please describe why you're interested in working on
getting libnfc into Debian now that we have The Linux NFC Subsystem?

I'm willing to bet my money on that the latter is the one who will
survive in the long run....

-- 
Andreas Henriksson




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#663006; Package wnpp. (Mon, 12 Mar 2012 19:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 12 Mar 2012 19:12:03 GMT) Full text and rfc822 format available.

Message #23 received at 663006@bugs.debian.org (full text, mbox):

From: Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>
To: Andreas Henriksson <andreas@fatal.se>, 663006@bugs.debian.org
Subject: Re: Bug#663006: Why libnfc over The Linux NFC Subsystem ?
Date: Mon, 12 Mar 2012 19:53:38 +0100
Hi,

On 12-03-12 19:20, Andreas Henriksson wrote:
> Could you please describe why you're interested in working on
> getting libnfc into Debian now that we have The Linux NFC Subsystem?
>
> I'm willing to bet my money on that the latter is the one who will
> survive in the long run....

While the Linux NFC subsystem might indeed have the best chances to 
survive on the long term, I think currently libnfc is in a better state. 
The NFC subsystem only appeared in Linux 3.1 and still has a long way to 
go before it equals the functionality of libnfc. I couldn't find 
equivalents of relatively simple programs like nfc-mfclassic. I also 
think it's nice to be able to update libnfc independent from your 
kernel, especially since NFC development (in general) has quite a high 
pace nowadays.

Besides, there are applications that require libnfc. That is because 
they either were designed before the NFC subsystem was born, or need to 
be compatible with other operating systems too. I'd be a shame if we 
couldn't package those applications for Debian.

Cheers,
Oxan




Message sent on to Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>:
Bug#663006. (Tue, 13 Mar 2012 08:57:07 GMT) Full text and rfc822 format available.

Message #26 received at 663006-submitter@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@gmail.com>
To: 663006-submitter@bugs.debian.org
Cc: Andreas Henriksson <andreas@fatal.se>
Subject: libnfc vs the Linux NFC subsystem
Date: Tue, 13 Mar 2012 09:53:17 +0100
Andreas Henriksson wrote:
> Could you please describe why you're interested in working
> on getting libnfc into Debian now that we have The Linux
> NFC Subsystem?

One of the libnfc developers commented earlier on this issue.

     http://groups.google.com/group/libnfc-devel/msg/20fac047bfabc5ff

-- 
Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>:
Bug#663006; Package wnpp. (Tue, 13 Mar 2012 12:51:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Henriksson <andreas@fatal.se>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>. (Tue, 13 Mar 2012 12:51:19 GMT) Full text and rfc822 format available.

Message #31 received at 663006@bugs.debian.org (full text, mbox):

From: Andreas Henriksson <andreas@fatal.se>
To: Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>
Cc: 663006@bugs.debian.org
Subject: Re: Bug#663006: Why libnfc over The Linux NFC Subsystem ?
Date: Tue, 13 Mar 2012 13:49:49 +0100
Hello Oxan!

Thanks for clarifying your view on this. I think it's a good idea
to always state such in an ITP.

On Mon, Mar 12, 2012 at 07:53:38PM +0100, Oxan van Leeuwen wrote:
> While the Linux NFC subsystem might indeed have the best chances to
> survive on the long term, I think currently libnfc is in a better
> state. The NFC subsystem only appeared in Linux 3.1 and still has a
> long way to go before it equals the functionality of libnfc. I
> couldn't find equivalents of relatively simple programs like
> nfc-mfclassic. I also think it's nice to be able to update libnfc
> independent from your kernel, especially since NFC development (in
> general) has quite a high pace nowadays.
> 
> Besides, there are applications that require libnfc. That is because
> they either were designed before the NFC subsystem was born, or need
> to be compatible with other operating systems too. I'd be a shame if
> we couldn't package those applications for Debian.

You could ofcourse package anything you wish, but including it in Debian
is another question for me. Including it in Debian means you are prepared
to maintain it in the long run. Several years to come.
I'd avoid introducing lots of programs that depend on the libnfc API
which you'll later need to port over to a new API and/or provide a migration
path for users to new tools that has been developed for the new stack.

You're ofcourse welcome to disagree.

-- 
Andreas Henriksson




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#663006; Package wnpp. (Tue, 13 Mar 2012 21:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 13 Mar 2012 21:33:11 GMT) Full text and rfc822 format available.

Message #36 received at 663006@bugs.debian.org (full text, mbox):

From: Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>
To: Andreas Henriksson <andreas@fatal.se>, Thomas Hood <jdthood@gmail.com>
Cc: 663006@bugs.debian.org
Subject: Re: Bug#663006: Why libnfc over The Linux NFC Subsystem ?
Date: Tue, 13 Mar 2012 22:28:53 +0100
Hi,

Thanks for your input!

On 13-03-12 13:49, Andreas Henriksson wrote:
> You could ofcourse package anything you wish, but including it in Debian
> is another question for me. Including it in Debian means you are prepared
> to maintain it in the long run. Several years to come.
> I'd avoid introducing lots of programs that depend on the libnfc API
> which you'll later need to port over to a new API and/or provide a migration
> path for users to new tools that has been developed for the new stack.
>
> You're ofcourse welcome to disagree.

That is only true assuming that libnfc will eventually completely disappear. 
Especially given the response from upstream (see Thomas' mail), I doubt that 
will happen. libnfc has some more features which probably won't ever make it 
to the kernel (mfoc has already been mentioned). There is also the 
possibility of writing a libnfc driver that uses the kernel module, so that 
they can exist (and be used) together.

Even if it will be completely replaced by the NFC subsystem, I think the 
benefits of having a complete NFC stack in wheezy outweighs the drawback of 
having a migration later on. Packages have been removed and superseded since 
the earliest Debian releases, and when there is a (better) alternative 
available, that shouldn't cause much problems.

Cheers,
Oxan van Leeuwen




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>:
Bug#663006; Package wnpp. (Wed, 14 Mar 2012 11:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Henriksson <andreas@fatal.se>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>. (Wed, 14 Mar 2012 11:21:06 GMT) Full text and rfc822 format available.

Message #41 received at 663006@bugs.debian.org (full text, mbox):

From: Andreas Henriksson <andreas@fatal.se>
To: Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>
Cc: Thomas Hood <jdthood@gmail.com>, 663006@bugs.debian.org
Subject: Re: Bug#663006: Why libnfc over The Linux NFC Subsystem ?
Date: Wed, 14 Mar 2012 12:19:02 +0100
Hi!

On Tue, Mar 13, 2012 at 10:28:53PM +0100, Oxan van Leeuwen wrote:
> That is only true assuming that libnfc will eventually completely
> disappear. Especially given the response from upstream (see Thomas'
> mail), I doubt that will happen. libnfc has some more features which
> probably won't ever make it to the kernel (mfoc has already been
> mentioned). There is also the possibility of writing a libnfc driver
> that uses the kernel module, so that they can exist (and be used)
> together.
> 
> Even if it will be completely replaced by the NFC subsystem, I think
> the benefits of having a complete NFC stack in wheezy outweighs the
> drawback of having a migration later on. Packages have been removed
> and superseded since the earliest Debian releases, and when there is
> a (better) alternative available, that shouldn't cause much
> problems.

I agree but I sincerely hope that we'll not have multiple stacks around
forever with each stack containing their own set of bugs. That would
be tragic.

-- 
Andreas Henriksson




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>:
Bug#663006; Package wnpp. (Tue, 08 May 2012 12:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>. (Tue, 08 May 2012 12:33:08 GMT) Full text and rfc822 format available.

Message #46 received at 663006@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@gmail.com>
To: 663006@bugs.debian.org
Subject: Progress?
Date: Tue, 8 May 2012 14:02:20 +0200
How's it going with the packaging of libnfc?  Are you waiting for the
1.6.0 release?
-- 
Thomas




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#663006; Package wnpp. (Fri, 11 May 2012 19:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 11 May 2012 19:48:03 GMT) Full text and rfc822 format available.

Message #51 received at 663006@bugs.debian.org (full text, mbox):

From: Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>
To: Thomas Hood <jdthood@gmail.com>, 663006@bugs.debian.org
Subject: Re: Bug#663006: Progress?
Date: Fri, 11 May 2012 21:22:08 +0200
Hi,

On 08-05-12 14:02, Thomas Hood wrote:
> How's it going with the packaging of libnfc?  Are you waiting for the
> 1.6.0 release?

No, not really. I still have to finish up the copyright documentation and 
want to fix some "regressions" compared to 1.5 (mainly some functions that 
output to stdout, which a library shouldn't do). Unfortunately I've been a 
bit short on time lately, but I hope to open an RFS in the coming weeks.

Cheers,
Oxan




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>:
Bug#663006; Package wnpp. (Mon, 21 May 2012 15:06:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic Rousseau <ludovic.rousseau@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>. (Mon, 21 May 2012 15:06:39 GMT) Full text and rfc822 format available.

Message #56 received at 663006@bugs.debian.org (full text, mbox):

From: Ludovic Rousseau <ludovic.rousseau@gmail.com>
To: 663006@bugs.debian.org
Subject: libnfc co-maintainer?
Date: Mon, 21 May 2012 16:59:13 +0200
Hello Oxan van Leeuwen,

I am a Debian Developper and also a libnfc upstream maintainer (since
a few days).
It looks like you are not yet a DD and may be looking for a sponsor.

I propose you to use collab-maint projet on alioth to host the
debian/* packaging files.
It will then be easy to co-maintain the NFC-related packages.

I already made some changes to the debian/* files in
https://libnfc.googlecode.com/svn/trunk/debian to fix some lintian
warnings but I also prefer to have the debian/* files in a separate
repository.

What do you think?

Bye

-- 
 Dr. Ludovic Rousseau




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#663006; Package wnpp. (Mon, 21 May 2012 19:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 21 May 2012 19:15:06 GMT) Full text and rfc822 format available.

Message #61 received at 663006@bugs.debian.org (full text, mbox):

From: Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>
To: Ludovic Rousseau <ludovic.rousseau@gmail.com>, 663006@bugs.debian.org
Subject: Re: Bug#663006: libnfc co-maintainer?
Date: Mon, 21 May 2012 21:13:24 +0200
Hi Ludovic,

On 21-05-12 16:59, Ludovic Rousseau wrote:
> Hello Oxan van Leeuwen,
>
> I am a Debian Developper and also a libnfc upstream maintainer (since
> a few days).
> It looks like you are not yet a DD and may be looking for a sponsor.

That's great! Actually, I think you already applied the patches I created 
while packaging ;-). For reference, last week I have submitted the RFS as 
#672795 indeed.

> I propose you to use collab-maint projet on alioth to host the
> debian/* packaging files.
> It will then be easy to co-maintain the NFC-related packages.

That sounds like a good idea. I think the current procedure for getting 
access to collab-maint is the one in http://deb.li/3qmXG, so I've applied to 
the collab-maint project at Alioth (username oxan-guest).

> I already made some changes to the debian/* files in
> https://libnfc.googlecode.com/svn/trunk/debian to fix some lintian
> warnings but I also prefer to have the debian/* files in a separate
> repository.

Great. I'll take a look at them and merge the relevant changes to my packaging.

Cheers,
Oxan van Leeuwen




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>:
Bug#663006; Package wnpp. (Tue, 22 May 2012 06:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>. (Tue, 22 May 2012 06:42:03 GMT) Full text and rfc822 format available.

Message #66 received at 663006@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@gmail.com>
To: 663006@bugs.debian.org
Subject: Re: Bug#663006: libnfc co-maintainer?
Date: Tue, 22 May 2012 08:39:40 +0200
[Message part 1 (text/plain, inline)]
Upstream contains a rather verbose debian/changelog. Could this be edited
down, renamed and/or merged with ChangeLog so that debian/changelog
contains exclusively a log of *Debian's* work? Or how do you feel about
this?
-- 
Thomas Hood
(Maintainer of provisory libnfc packages at ppa:jdthood/nfc)
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#663006; Package wnpp. (Tue, 22 May 2012 11:45:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 22 May 2012 11:45:42 GMT) Full text and rfc822 format available.

Message #71 received at 663006@bugs.debian.org (full text, mbox):

From: Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>
To: Thomas Hood <jdthood@gmail.com>, 663006@bugs.debian.org
Subject: Re: Bug#663006: libnfc co-maintainer?
Date: Tue, 22 May 2012 13:42:58 +0200
Hi,

On 22-05-12 08:39, Thomas Hood wrote:
> Upstream contains a rather verbose debian/changelog. Could this be edited
> down, renamed and/or merged with ChangeLog so that debian/changelog contains
> exclusively a log of *Debian's* work? Or how do you feel about this?
> --
> Thomas Hood
> (Maintainer of provisory libnfc packages at ppa:jdthood/nfc)
>

In my experience the Debian changelog usually starts empty when an package 
is uploaded to Debian for the first time. I think most, if not all, 
information in the upstream debian/changelog is already in ChangeLog, which 
I intend to ship as the upstream changelog in the Debian packages.

Regards,
Oxan van Leeuwen




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>:
Bug#663006; Package wnpp. (Wed, 23 May 2012 13:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic Rousseau <ludovic.rousseau@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>. (Wed, 23 May 2012 13:51:02 GMT) Full text and rfc822 format available.

Message #76 received at 663006@bugs.debian.org (full text, mbox):

From: Ludovic Rousseau <ludovic.rousseau@gmail.com>
To: Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>
Cc: 663006@bugs.debian.org
Subject: Re: Bug#663006: libnfc co-maintainer?
Date: Wed, 23 May 2012 15:49:30 +0200
2012/5/21 Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>:
> Hi Ludovic,
>
> On 21-05-12 16:59, Ludovic Rousseau wrote:
>>
>> Hello Oxan van Leeuwen,
>>
>> I am a Debian Developper and also a libnfc upstream maintainer (since
>> a few days).
>> It looks like you are not yet a DD and may be looking for a sponsor.
>
>
> That's great! Actually, I think you already applied the patches I created
> while packaging ;-). For reference, last week I have submitted the RFS as
> #672795 indeed.
>
>> I propose you to use collab-maint projet on alioth to host the
>> debian/* packaging files.
>> It will then be easy to co-maintain the NFC-related packages.
>
>
> That sounds like a good idea. I think the current procedure for getting
> access to collab-maint is the one in http://deb.li/3qmXG, so I've applied to
> the collab-maint project at Alioth (username oxan-guest).
>
>> I already made some changes to the debian/* files in
>> https://libnfc.googlecode.com/svn/trunk/debian to fix some lintian
>> warnings but I also prefer to have the debian/* files in a separate
>> repository.
>
>
> Great. I'll take a look at them and merge the relevant changes to my
> packaging.

I created a (empty) SVN repository. To get it use:
$ svn co svn+ssh://svn.debian.org/svn/collab-maint/deb-maint/libnfc

Bye

-- 
 Dr. Ludovic Rousseau




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#663006; Package wnpp. (Wed, 23 May 2012 19:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 23 May 2012 19:45:04 GMT) Full text and rfc822 format available.

Message #81 received at 663006@bugs.debian.org (full text, mbox):

From: Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>
To: Ludovic Rousseau <ludovic.rousseau@gmail.com>
Cc: 663006@bugs.debian.org
Subject: Re: Bug#663006: libnfc co-maintainer?
Date: Wed, 23 May 2012 21:42:40 +0200
Hi,

On 23-05-12 15:49, Ludovic Rousseau wrote:
> I created a (empty) SVN repository. To get it use:
> $ svn co svn+ssh://svn.debian.org/svn/collab-maint/deb-maint/libnfc
>
> Bye
>

Great! I've imported my current libnfc package into the repository (using 
debian/ only, but we can change that if you want).

Most notable changes with the upstream packaging are:
- I renamed the libnfc-bin package to libnfc-utils and dropped the
  libnfc-examples and libnfc-pn53x-examples. I'm not sure how useful the
  examples are for end-users.
- Enabled multi-arch for the library package
- Added an libnfc3-dbg package
- Currently it still requires pcsc due to the acr122 driver. We might want
  to change that, but I'm a bit reluctant because the USB driver isn't in
  the 1.6.0~rc1 version yet.

Regards,
Oxan




Added blocking bug(s) of 663006: 672795 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Fri, 22 Jun 2012 15:39:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#663006; Package wnpp. (Sun, 18 Nov 2012 18:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 18 Nov 2012 18:09:06 GMT) Full text and rfc822 format available.

Message #88 received at 663006@bugs.debian.org (full text, mbox):

From: Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>
To: 663006@bugs.debian.org
Subject: Bug#663006: libnfc
Date: Sun, 18 Nov 2012 18:34:56 +0100
Control: retitle -1 RFP: libnfc -- Near Field Communication (NFC) library
Control: unblock 663006 by 672795

Hi,

I'm no longer interested in packaging this due to changing interests and 
shifting priorities. If anyone else wants to package this, you can find the 
start of my packaging in the SVN repository mentioned earlier (BSD-licensed).



Changed Bug title to 'RFP: libnfc -- Near Field Communication (NFC) library' from 'ITP: libnfc -- Near Field Communication (NFC) library' Request was from Oxan van Leeuwen <oxan@oxanvanleeuwen.nl> to 663006-submit@bugs.debian.org. (Sun, 18 Nov 2012 18:09:06 GMT) Full text and rfc822 format available.

Removed blocking bug(s) of 663006: 672795 Request was from Oxan van Leeuwen <oxan@oxanvanleeuwen.nl> to 663006-submit@bugs.debian.org. (Sun, 18 Nov 2012 18:09:06 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>. Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Mon, 19 Nov 2012 04:24:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#663006; Package wnpp. (Tue, 20 Nov 2012 18:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 20 Nov 2012 18:21:03 GMT) Full text and rfc822 format available.

Message #99 received at 663006@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@gmail.com>
To: Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>, 663006@bugs.debian.org
Subject: Re: Bug#663006: libnfc
Date: Tue, 20 Nov 2012 19:17:36 +0100
[Message part 1 (text/plain, inline)]
It seems that libnfc won't be available in Debian in the near future. Until
a few months ago I was maintaining libnfc packages in a Launchpad PPA.

    https://launchpad.net/~jdthood/+archive/nfc

I could adopt your changes and update the packages in that PPA. Or does
someone else already provide more up-to-date packages than mine?
-- 
Thomas Hood
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#663006; Package wnpp. (Mon, 21 Jan 2013 03:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 21 Jan 2013 03:33:04 GMT) Full text and rfc822 format available.

Message #104 received at 663006@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: 663006@bugs.debian.org
Subject: Retitle bug
Date: Mon, 21 Jan 2013 12:30:06 +0900
Control: retitle ITP: libnfc -- Near Field Communication (NFC) library

Hi,

I am interested in this and I want to do pakcgeing and maintain this.

Best regards,
  Nobuhiro

-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6



Changed Bug title to 'ITP: libnfc -- Near Field Communication (NFC) library' from 'RFP: libnfc -- Near Field Communication (NFC) library' Request was from Nobuhiro Iwamatsu <iwamatsu@nigauri.org> to control@bugs.debian.org. (Mon, 21 Jan 2013 03:57:03 GMT) Full text and rfc822 format available.

Owner recorded as Nobuhiro Iwamatsu <iwamatsu@nigauri.org>. Request was from Simó Albert i Beltran <sim6@probeta.net> to control@bugs.debian.org. (Mon, 21 Jan 2013 06:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Bug#663006; Package wnpp. (Mon, 21 Jan 2013 08:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic Rousseau <ludovic.rousseau@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nobuhiro Iwamatsu <iwamatsu@nigauri.org>. (Mon, 21 Jan 2013 08:09:03 GMT) Full text and rfc822 format available.

Message #113 received at 663006@bugs.debian.org (full text, mbox):

From: Ludovic Rousseau <ludovic.rousseau@gmail.com>
To: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>, 663006@bugs.debian.org
Subject: Re: Bug#663006: Retitle bug
Date: Mon, 21 Jan 2013 09:05:11 +0100
2013/1/21 Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
> Hi,
>
> I am interested in this and I want to do pakcgeing and maintain this.

Perfect.

I am also a Debian Developer and part of the libnfc upstream team.
Do not hesitate to contact me or the other upstream members if needed.

Bye

-- 
 Dr. Ludovic Rousseau



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#663006; Package wnpp. (Mon, 21 Jan 2013 08:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 21 Jan 2013 08:33:03 GMT) Full text and rfc822 format available.

Message #118 received at 663006@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: Ludovic Rousseau <ludovic.rousseau@gmail.com>
Cc: 663006@bugs.debian.org
Subject: Re: Bug#663006: Retitle bug
Date: Mon, 21 Jan 2013 17:29:04 +0900
Hi,

On Mon, Jan 21, 2013 at 5:05 PM, Ludovic Rousseau
<ludovic.rousseau@gmail.com> wrote:
> 2013/1/21 Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
>> Hi,
>>
>> I am interested in this and I want to do pakcgeing and maintain this.
>
> Perfect.
>
> I am also a Debian Developer and part of the libnfc upstream team.
> Do not hesitate to contact me or the other upstream members if needed.
>

Thanks!
I already sent a mail with some patches to Romuald Conty.
I will forword that mail to you.

Best regards,
  Nobuhiro


-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Bug#663006; Package wnpp. (Mon, 21 Jan 2013 08:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic Rousseau <ludovic.rousseau@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nobuhiro Iwamatsu <iwamatsu@nigauri.org>. (Mon, 21 Jan 2013 08:57:03 GMT) Full text and rfc822 format available.

Message #123 received at 663006@bugs.debian.org (full text, mbox):

From: Ludovic Rousseau <ludovic.rousseau@gmail.com>
To: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
Cc: 663006@bugs.debian.org
Subject: Re: Bug#663006: Retitle bug
Date: Mon, 21 Jan 2013 09:55:14 +0100
2013/1/21 Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
> I already sent a mail with some patches to Romuald Conty.
> I will forword that mail to you.

Maybe you want to use the Google group at
https://groups.google.com/forum/?fromgroups#!forum/nfc-tools-devel

Bye

-- 
 Dr. Ludovic Rousseau



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#663006; Package wnpp. (Mon, 21 Jan 2013 23:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 21 Jan 2013 23:36:05 GMT) Full text and rfc822 format available.

Message #128 received at 663006@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: Ludovic Rousseau <ludovic.rousseau@gmail.com>
Cc: 663006@bugs.debian.org
Subject: Re: Bug#663006: Retitle bug
Date: Tue, 22 Jan 2013 08:32:17 +0900
Hi,

On Mon, Jan 21, 2013 at 5:55 PM, Ludovic Rousseau
<ludovic.rousseau@gmail.com> wrote:
> 2013/1/21 Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
>> I already sent a mail with some patches to Romuald Conty.
>> I will forword that mail to you.
>
> Maybe you want to use the Google group at
> https://groups.google.com/forum/?fromgroups#!forum/nfc-tools-devel
>
> Bye

I posted to google group.

Thanks,
  Nobuhiro


-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Bug#663006; Package wnpp. (Sat, 24 Aug 2013 10:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nobuhiro Iwamatsu <iwamatsu@nigauri.org>. (Sat, 24 Aug 2013 10:48:04 GMT) Full text and rfc822 format available.

Message #133 received at 663006@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@gmail.com>
To: 663006@bugs.debian.org
Subject: Retitle to RFP?
Date: Sat, 24 Aug 2013 12:45:18 +0200
Given that this ITP was filed over a year ago, should it be retitled to RFP?
-- 
Thomas Hood



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#663006; Package wnpp. (Sun, 25 Aug 2013 01:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nobuhiro Iwamatsu <iwamatsu@nigauri.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 25 Aug 2013 01:15:04 GMT) Full text and rfc822 format available.

Message #138 received at 663006@bugs.debian.org (full text, mbox):

From: Nobuhiro Iwamatsu <iwamatsu@nigauri.org>
To: Thomas Hood <jdthood@gmail.com>, 663006@bugs.debian.org
Subject: Re: Bug#663006: Retitle to RFP?
Date: Sun, 25 Aug 2013 10:11:05 +0900
Hi,

Sorry.
I got some NFC device this last week.  And I will upload this week.

Best regards,
  Nobuhiro

2013/8/24 Thomas Hood <jdthood@gmail.com>:
> Given that this ITP was filed over a year ago, should it be retitled to RFP?
> --
> Thomas Hood



-- 
Nobuhiro Iwamatsu
   iwamatsu at {nigauri.org / debian.org}
   GPG ID: 40AD1FA6



Reply sent to Mònica Ramírez Arceda <monica@debian.org>:
You have taken responsibility. (Sat, 07 Sep 2013 10:54:11 GMT) Full text and rfc822 format available.

Notification sent to Oxan van Leeuwen <oxan@oxanvanleeuwen.nl>:
Bug acknowledged by developer. (Sat, 07 Sep 2013 10:54:11 GMT) Full text and rfc822 format available.

Message #143 received at 663006-close@bugs.debian.org (full text, mbox):

From: Mònica Ramírez Arceda <monica@debian.org>
To: 663006-close@bugs.debian.org
Subject: bug 663006 is ITP for package libnfc already in Debian
Date: Sat, 7 Sep 2013 12:47:27 +0200
Hi,

I'm closing this bug because this package is already in Debian:
http://packages.qa.debian.org/libnfc

Regards.



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 Oct 2013 07:26:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 03:55:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.